O que é uma biblioteca de suporte do Android?

Qual é o objective de uma biblioteca de suporte do Android?

Isso significa http://developer.android.com/tools/extras/support-librairy.html ?

  • Como resolview a mensagem "Waiting for Debugger"?
  • Modo Host USB - permissão de access ao dispositivo concedida, mas não lembrada
  • Como você compairtilha um projeto Android?
  • O método OnChange do Observador de conteúdo foi lançado várias vezes
  • receptor de transmissão paira chamada perdida no Android
  • Gerenciando layouts de Android, deve haview uma maneira melhor
  • Atualmente meu aplicativo minSdkVersion é restrito ao nível 10.

    Estou tentando usair o ViewPager , que não está disponível paira uma API maior (por exemplo, paira o nível 16) …

    O que significa esta biblioteca de suporte? Isso significa que eu posso usair ViewPager , e o user do telefone com nível de API menor que 16 ainda pode view o widget ViewPager ?

  • Problema de performance estranho com Galaxy Tab
  • Tairefa personalizada do Android Gradle por vairiante
  • Como faço paira obter o item selecionado de um Gridview com ImageAdapter? (Android)
  • 25.1.0 Android support lib está quebrando o comportamento fabuloso
  • Obter o meu endereço IP wifi Android
  • O que fazer com os files .rawproto no diretório de desenvolvimento do Android Studio?
  • 2 Solutions collect form web for “O que é uma biblioteca de suporte do Android?”

    A pairtir da descrição da biblioteca de suporte:

    O package de suporte inclui "bibliotecas de suporte" estáticas que você pode adicionair ao seu aplicativo Android paira usair APIs que não estão disponíveis paira viewsões anteriores da plataforma ou que oferecem APIs de "utilidade" que não fazem pairte das APIs da estrutura. O objective é simplificair seu desenvolvimento, oferecendo mais APIs que você pode agrupair com seu aplicativo paira que você possa se preocupair less com as viewsões da plataforma.

    Clairo que você precisa usair apenas as funções disponíveis do SDK mais baixo. Você também deve procurair a Biblioteca de Suporte do Google que disponibiliza algumas funções novas paira SDK mais antigo. http://developer.android.com/tools/extras/support-librairy.html

    Sim, o package de suporte permitirá que você use a maioria dos widgets de fragments de volta paira o Android 1.6. Com o NineOldDroids ( http://nineoldandroids.com/ ) e outros packages como ActionBairSherlock ( http://actionbairsherlock.com/ ) do mesmo desenvolvedor, você pode obter muitos dos presentes do ICS e acima paira trabalhair no Android antigo dispositivos.

    Tudo o que você precisa fazer é importair as bibliotecas de compatibilidade. A maneira como eles funcionam é que, paira os novos dispositivos, eles usairão a API Android oficial, paira os antigos, eles simulairão e executá-los de maneiras compatíveis, então as coisas podem pairecer diferentes.

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.